import { Component, h, Prop, Host } from "@stencil/core";
/**
 * @uiName Table Cell
 * @slots [{"name":"", "title":"Cell Content"}]
 */
export class TableCell {
  constructor() {
    /** @uiName Column span  */
    this.colspan = 1;
    /** @uiName Padding */
    this.padding = "15px 10px";
  }
  render() {
    return (h(Host, { style: { display: "contents" } },
      h("td", { colSpan: this.colspan, style: { padding: this.padding } },
        h("slot", null))));
  }
  static get is() { return "sqm-table-cell"; }
  static get encapsulation() { return "shadow"; }
  static get properties() { return {
    "colspan": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [{
            "text": "Column span",
            "name": "uiName"
          }],
        "text": ""
      },
      "attribute": "colspan",
      "reflect": false,
      "defaultValue": "1"
    },
    "padding": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [{
            "text": "Padding",
            "name": "uiName"
          }],
        "text": ""
      },
      "attribute": "padding",
      "reflect": false,
      "defaultValue": "\"15px 10px\""
    }
  }; }
}
